public class TestJNIPrimitiveArray {
   static {
      System.loadLibrary("myjni"); // libmyjni.so
   }

   // Deklaracja natywnej metody sumAndAverage(), która jako argument pobiera tablicę int[] i
   // zwraca tablicę double[2], która w komórce [0] przekazuje sumę a w komórce [1] zwraca średnią
   // liczb przekazanych w parametrze
   private native double[] sumAndAverage(int[] numbers);

   // Test funkcji natywnej
   public static void main(String args[]) {
      int[] numbers = {22, 33, 33};
      double[] results = new TestJNIPrimitiveArray().sumAndAverage(numbers);
      System.out.println("In Java, the sum is " + results[0]);
      System.out.println("In Java, the average is " + results[1]);
   }
}
