public class TestJNIObjectArray {
   static {
      System.loadLibrary("myjni"); // libmyjni.so
   }
   // Metoda natywna, która pobiera tablicę Integer[] i zwraca
   // tablicę Double[2], której element [0] przechowuje sumę a [1] średnią podanych argumentów
   private native Double[] sumAndAverage(Integer[] numbers);

   public static void main(String args[]) {
      Integer[] numbers = {11, 22, 32};  // tablica elementów testowych
      Double[] results = new TestJNIObjectArray().sumAndAverage(numbers);
      System.out.println("In Java, the sum is " + results[0]);
      System.out.println("In Java, the average is " + results[1]);
   }
}
