public class TestJNICallBackMethod {
   static {
      System.loadLibrary("myjni"); // libmyjni.so
   }
 
   // Deklaracja metody natywnej, która wywołuje poniższe metody Javy
   private native void nativeMethod();
 
   // Metody wywoływane przez kod natywny
   private void callback() {
      System.out.println("W Javie");
   }
 
   private void callback(String message) {
      System.out.println("W Javie z parametrem message: " + message);
   }
 
   private double callbackAverage(int n1, int n2) {
      return ((double)n1 + n2) / 2.0;
   }
   
   // Statyczna metoda wywoływana przez kod natywny
   private static String callbackStatic() {
      return "Łańcuch znaków zwrócony przez metodę Javy";
   }

   // Test metody natywnej
   public static void main(String args[]) {
      new TestJNICallBackMethod().nativeMethod();
   }
}
