#include <jni.h>
#include <stdio.h>
#include "TestJNIStaticVariable.h"

JNIEXPORT void JNICALL Java_TestJNIStaticVariable_modifyStaticVariable
          (JNIEnv *env, jobject thisObj) {
   // Pobierz referencję do klasy obiektu thisObj
   jclass cls = (*env)->GetObjectClass(env, thisObj);

   // Pobierz identyfikator zmiennej statycznej number
   jfieldID fidNumber = (*env)->GetStaticFieldID(env, cls, "number", "D");
   if (NULL == fidNumber) return;
   // Odczytaj wartość zmiennej statycznej number
   jdouble number = (*env)->GetStaticDoubleField(env, cls, fidNumber);
   printf("W kodzie C, wartość zmiennej typu double wynosi %f\n", number);
   number = 77.88;
   // Ustaw nową wartość zmiennej statycznej number
   (*env)->SetStaticDoubleField(env, cls, fidNumber, number);
}
